Package org.apache.solr.client.solrj.request

## Class CollectionBackupsApi.ListBackupsAtLocation

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionBackupsApi.ListBackupsAtLocationResponse>
  - - org.apache.solr.client.solrj.request.CollectionBackupsApi.ListBackupsAtLocation

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  CollectionBackupsApi

    public static class CollectionBackupsApi.ListBackupsAtLocation
    extends SolrRequest<CollectionBackupsApi.ListBackupsAtLocationResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`ListBackupsAtLocation​(String backupName)` Create a ListBackupsAtLocation request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CollectionBackupsApi.ListBackupsAtLocationResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setLocation​(String location)`
`void` `setRepository​(String repository)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListBackupsAtLocation

    public ListBackupsAtLocation​(String backupName)

Create a ListBackupsAtLocation request object.

Parameters:
  `backupName` - Path param -

### Method Detail

#### setLocation

    public void setLocation​(String location)

#### setRepository

    public void setRepository​(String repository)

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<CollectionBackupsApi.ListBackupsAtLocationResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<CollectionBackupsApi.ListBackupsAtLocationResponse>`

#### createResponse

    protected CollectionBackupsApi.ListBackupsAtLocationResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<CollectionBackupsApi.ListBackupsAtLocationResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<CollectionBackupsApi.ListBackupsAtLocationResponse>`
Returns:
  The `ResponseParser`